--- include/class.reminder.php	2009-01-12 23:15:12.049164418 +0200
+++ /usr/share/eventum/include/class.reminder.php	2009-02-05 02:04:13.608840787 +0200
@@ -29,9 +29,6 @@
 // @(#) $Id: class.reminder.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.reminder_action.php");
-require_once(APP_INC_PATH . "class.priority.php");
 
 /**
  * Class to handle the business logic related to the reminder emails
@@ -95,7 +92,7 @@
                         rem_rank=" . Misc::escapeInteger($ranking[$rem_id]) . "
                      WHERE
                         rem_id=" . Misc::escapeInteger($replaced_rem_id);
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
@@ -103,7 +100,7 @@
                     rem_rank=" . Misc::escapeInteger($new_rank) . "
                  WHERE
                     rem_id=" . Misc::escapeInteger($rem_id);
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         return true;
     }
 
@@ -124,7 +121,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  ORDER BY
                     rem_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -167,7 +164,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  WHERE
                     rem_id=" . Misc::escapeInteger($rem_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -192,7 +189,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  WHERE
                     rem_id=" . Misc::escapeInteger($rem_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -217,7 +214,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  WHERE
                     rem_id=" . Misc::escapeInteger($rem_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -259,7 +256,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_priority
                  WHERE
                     rep_rem_id=" . Misc::escapeInteger($rem_id);
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -289,7 +286,7 @@
                     " . Misc::escapeInteger($rem_id) . ",
                     " . Misc::escapeInteger($support_level_id) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -318,7 +315,7 @@
                     " . Misc::escapeInteger($rem_id) . ",
                     " . Misc::escapeInteger($issue_id) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -348,7 +345,7 @@
                     " . Misc::escapeInteger($rem_id) . ",
                     " . Misc::escapeInteger($customer_id) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -376,7 +373,7 @@
                     " . Misc::escapeInteger($rem_id) . ",
                     1
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -405,7 +402,7 @@
                     " . Misc::escapeInteger($rem_id) . ",
                     " . Misc::escapeInteger($priority_id) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -432,12 +429,12 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_requirement
                  WHERE
                     rer_rem_id IN (" . implode(',', $rem_id) . ")";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_priority
                  WHERE
                     rep_rem_id IN (" . implode(',', $rem_id) . ")";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -458,13 +455,13 @@
                     rem_prj_id,
                     rem_skip_weekend
                  ) VALUES (
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     " . Misc::escapeInteger($_POST['rank']) . ",
                     '" . Misc::escapeString($_POST['title']) . "',
                     " . Misc::escapeInteger($_POST['project']) . ",
                     " . Misc::escapeInteger($_POST['skip_weekend']) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -507,14 +504,14 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  SET
-                    rem_last_updated_date='" . Date_API::getCurrentDateGMT() . "',
+                    rem_last_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
                     rem_rank=" . Misc::escapeInteger($_POST['rank']) . ",
                     rem_title='" . Misc::escapeString($_POST['title']) . "',
                     rem_prj_id=" . Misc::escapeInteger($_POST['project']) . ",
                     rem_skip_weekend=" . Misc::escapeInteger($_POST['skip_weekend']) . "
                  WHERE
                     rem_id=" . Misc::escapeInteger($_POST['id']);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -560,7 +557,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  WHERE
                     rem_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -572,7 +569,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
                      WHERE
                         rma_rem_id IN ($items)";
-            $actions = $GLOBALS["db_api"]->dbh->getCol($stmt);
+            $actions = Db_Helper::getInstance()->getCol($stmt);
             if (count($actions) > 0) {
                 Reminder_Action::remove($actions);
             }
@@ -600,7 +597,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_requirement
                  WHERE
                     rer_rem_id=" . Misc::escapeInteger($rem_id);
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -648,13 +645,13 @@
                     rem_prj_id=prj_id
                  ORDER BY
                     rem_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
         } else {
             for ($i = 0; $i < count($res); $i++) {
-                $res[$i]['rem_created_date'] = Date_API::getFormattedDate($res[$i]["rem_created_date"]);
+                $res[$i]['rem_created_date'] = Date_Helper::getFormattedDate($res[$i]["rem_created_date"]);
                 $actions = Reminder_Action::getList($res[$i]['rem_id']);
                 $res[$i]['total_actions'] = count($actions);
                 $priorities = Reminder::getAssociatedPriorities($res[$i]['rem_id']);
@@ -689,7 +686,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  ORDER BY
                     rem_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -731,8 +728,8 @@
         $stmt .= Reminder::getWhereClause($reminder, $conditions);
         $stmt .= ' AND iss_trigger_reminders=1 ';
         // can't rely on the mysql server's timezone setting, so let's use gmt dates throughout
-        $stmt = str_replace('UNIX_TIMESTAMP()', "UNIX_TIMESTAMP('" . Date_API::getCurrentDateGMT() . "')", $stmt);
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $stmt = str_replace('UNIX_TIMESTAMP()', "UNIX_TIMESTAMP('" . Date_Helper::getCurrentDateGMT() . "')", $stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -801,7 +798,7 @@
                         $conditions[$i]['rlc_value'] = $conditions[$i]['rlc_value'] * 60 * 60;
                         if (@$reminder["rem_skip_weekend"] == 1) {
                             $sql_field = Reminder_Condition::getSQLField($conditions[$i]['rlc_rmf_id']);
-                            $conditions[$i]['rmf_sql_representation'] = DB_API::getNoWeekendDateDiffSQL($sql_field);
+                            $conditions[$i]['rmf_sql_representation'] = DB_Helper::getNoWeekendDateDiffSQL($sql_field);
                         }
                     }
                 }
@@ -834,7 +831,7 @@
                     " . APP_TABLE_PREFIX . "issue";
         $stmt .= Reminder::getWhereClause($reminder, $conditions);
         // can't rely on the mysql server's timezone setting, so let's use gmt dates throughout
-        $stmt = str_replace('UNIX_TIMESTAMP()', "UNIX_TIMESTAMP('" . Date_API::getCurrentDateGMT() . "')", $stmt);
+        $stmt = str_replace('UNIX_TIMESTAMP()', "UNIX_TIMESTAMP('" . Date_Helper::getCurrentDateGMT() . "')", $stmt);
         return $stmt;
     }
 
@@ -860,13 +857,13 @@
                     rmh_rma_id=rma_id
                  ORDER BY
                     rmh_created_date DESC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
         } else {
             for ($i = 0; $i < count($res); $i++) {
-                $res[$i]["rmh_created_date"] = Date_API::getFormattedDate($res[$i]["rmh_created_date"]);
+                $res[$i]["rmh_created_date"] = Date_Helper::getFormattedDate($res[$i]["rmh_created_date"]);
             }
             return $res;
         }
--- include/class.report.php	2009-01-13 20:28:10.187782176 +0200
+++ /usr/share/eventum/include/class.report.php	2009-02-05 02:04:13.620733709 +0200
@@ -29,15 +29,6 @@
 // @(#) $Id: class.report.php 3803 2009-01-13 18:28:04Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.phone_support.php");
-require_once(APP_INC_PATH . "class.prefs.php");
-require_once(APP_PEAR_PATH . "Math/Stats.php");
 
 /**
  * Class to handle the business logic related to all aspects of the
@@ -61,7 +52,7 @@
     function getStalledIssuesByUser($prj_id, $users, $status, $before_date, $after_date, $sort_order)
     {
         $prj_id = Misc::escapeInteger($prj_id);
-        $ts = Date_API::getCurrentUnixTimestampGMT();
+        $ts = Date_Helper::getCurrentUnixTimestampGMT();
         $before_ts = strtotime($before_date);
         $after_ts = strtotime($after_date);
 
@@ -115,7 +106,7 @@
                  ORDER BY
                     usr_full_name,
                     iss_last_response_date " . Misc::escapeString($sort_order);
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -132,12 +123,12 @@
                 $issues[$res[$i]['usr_full_name']][$res[$i]['iss_id']] = array(
                     'iss_summary'         => $res[$i]['iss_summary'],
                     'sta_title'           => $res[$i]['sta_title'],
-                    'iss_created_date'    => Date_API::getFormattedDate($res[$i]['iss_created_date']),
-                    'iss_last_response_date'    => Date_API::getFormattedDate($res[$i]['iss_last_response_date']),
+                    'iss_created_date'    => Date_Helper::getFormattedDate($res[$i]['iss_created_date']),
+                    'iss_last_response_date'    => Date_Helper::getFormattedDate($res[$i]['iss_last_response_date']),
                     'time_spent'          => Misc::getFormattedTime($res[$i]['time_spent']),
                     'status_color'        => $res[$i]['sta_color'],
-                    'last_update'         => Date_API::getFormattedDateDiff($ts, Date_API::getUnixTimestamp($res[$i]['iss_updated_date'], Date_API::getDefaultTimezone())),
-                    'last_email_response' => Date_API::getFormattedDateDiff($ts, Date_API::getUnixTimestamp($res[$i]['iss_last_response_date'], Date_API::getDefaultTimezone()))
+                    'last_update'         => Date_Helper::getFormattedDateDiff($ts, Date_Helper::getUnixTimestamp($res[$i]['iss_updated_date'], Date_Helper::getDefaultTimezone())),
+                    'last_email_response' => Date_Helper::getFormattedDateDiff($ts, Date_Helper::getUnixTimestamp($res[$i]['iss_last_response_date'], Date_Helper::getDefaultTimezone()))
                 );
             }
             return $issues;
@@ -156,7 +147,7 @@
     {
         $prj_id = Misc::escapeInteger($prj_id);
         $cutoff_days = Misc::escapeInteger($cutoff_days);
-        $ts = Date_API::getCurrentUnixTimestampGMT();
+        $ts = Date_Helper::getCurrentUnixTimestampGMT();
         $ts_diff = $cutoff_days * DAY;
 
 
@@ -195,7 +186,7 @@
         } else {
             $stmt .= "assignee.usr_full_name";
         }
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             print_r($res);
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -218,11 +209,11 @@
                 $issues[$name][$res[$i]['iss_id']] = array(
                     'iss_summary'         => $res[$i]['iss_summary'],
                     'sta_title'           => $res[$i]['sta_title'],
-                    'iss_created_date'    => Date_API::getFormattedDate($res[$i]['iss_created_date']),
+                    'iss_created_date'    => Date_Helper::getFormattedDate($res[$i]['iss_created_date']),
                     'time_spent'          => Misc::getFormattedTime($res[$i]['time_spent']),
                     'status_color'        => $res[$i]['sta_color'],
-                    'last_update'         => Date_API::getFormattedDateDiff($ts, Date_API::getUnixTimestamp($res[$i]['iss_updated_date'], Date_API::getDefaultTimezone())),
-                    'last_email_response' => Date_API::getFormattedDateDiff($ts, Date_API::getUnixTimestamp($res[$i]['iss_last_response_date'], Date_API::getDefaultTimezone()))
+                    'last_update'         => Date_Helper::getFormattedDateDiff($ts, Date_Helper::getUnixTimestamp($res[$i]['iss_updated_date'], Date_Helper::getDefaultTimezone())),
+                    'last_email_response' => Date_Helper::getFormattedDateDiff($ts, Date_Helper::getUnixTimestamp($res[$i]['iss_last_response_date'], Date_Helper::getDefaultTimezone()))
                 );
             }
             return $issues;
@@ -264,7 +255,7 @@
                     isu_usr_id=usr_id
                  ORDER BY
                     usr_full_name";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -275,7 +266,7 @@
                 $issues[$res[$i]['usr_full_name']][$res[$i]['iss_id']] = array(
                     'iss_summary'      => $res[$i]['iss_summary'],
                     'sta_title'        => $res[$i]['sta_title'],
-                    'iss_created_date' => Date_API::getFormattedDate($res[$i]['iss_created_date']),
+                    'iss_created_date' => Date_Helper::getFormattedDate($res[$i]['iss_created_date']),
                     'time_spent'       => Misc::getFormattedTime($res[$i]['time_spent']),
                     'status_color'     => $res[$i]['sta_color']
                 );
@@ -345,7 +336,7 @@
                     isu_usr_id = $usr_id AND
                     iss_prj_id = " . Auth::getCurrentProject() . " AND
                     isu_assigned_date BETWEEN '$start_ts' AND '$end_ts'";
-        $newly_assigned = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $newly_assigned = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($newly_assigned)) {
             Error_Handler::logError(array($newly_assigned->getMessage(), $newly_assigned->getDebugInfo()), __FILE__, __LINE__);
         }
@@ -409,7 +400,7 @@
                     time_period, performer
                  ORDER BY
                     time_period";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -487,7 +478,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "support_email
                  GROUP BY
                     time_period";
-        $total = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $total = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($total)) {
             Error_Handler::logError(array($total->getMessage(), $total->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -510,7 +501,7 @@
                     sup_from IN('" . join("','", $emails) . "')
                  GROUP BY
                     time_period";
-        $dev_stats = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $dev_stats = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($dev_stats)) {
             Error_Handler::logError(array($dev_stats->getMessage(), $dev_stats->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -697,7 +688,7 @@
             }
             $sql .= "
                         row_count DESC";
-            $res = $GLOBALS["db_api"]->dbh->getAll($sql, DB_FETCHMODE_ASSOC);
+            $res = Db_Helper::getInstance()->getAll($sql, DB_FETCHMODE_ASSOC);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return array();
@@ -752,7 +743,7 @@
                         $label_field ASC";
                 $res = $GLOBALS['db_api']->dbh->getAssoc($stmt);
             } else {
-                $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+                $res = Db_Helper::getInstance()->getOne($stmt);
             }
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -773,7 +764,7 @@
                     icf_iss_id = iss_id AND
                     icf_fld_id = $fld_id AND
                     cfo_id NOT IN(" . join(",", $cfo_ids) . ")";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -853,7 +844,7 @@
         if (!empty($order_by)) {
             $stmt .= "\nORDER BY " . sprintf($order_by, 'iss_created_date');
         }
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -907,7 +898,7 @@
         if (!empty($order_by)) {
             $stmt .= "\nORDER BY " . sprintf($order_by, 'sup_date');
         }
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
--- include/class.resolution.php	2009-01-12 23:15:12.082081730 +0200
+++ /usr/share/eventum/include/class.resolution.php	2009-02-05 02:04:13.620733709 +0200
@@ -29,8 +29,6 @@
 // @(#) $Id: class.resolution.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
 
 /**
  * Class to handle the business logic related to the administration
@@ -57,7 +55,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "resolution
                  WHERE
                     res_id=" . Misc::escapeInteger($res_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -84,7 +82,7 @@
                     iss_res_id=0
                  WHERE
                     iss_res_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -93,7 +91,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "resolution
                      WHERE
                         res_id IN ($items)";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return false;
@@ -122,7 +120,7 @@
                     res_title='" . Misc::escapeString($_POST["title"]) . "'
                  WHERE
                     res_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -147,7 +145,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "resolution
                  WHERE
                     res_id=" . Misc::escapeInteger($res_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -172,7 +170,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "resolution
                  ORDER BY
                     res_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -198,7 +196,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "resolution
                  ORDER BY
                     res_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -227,9 +225,9 @@
                     res_created_date
                  ) VALUES (
                     '" . Misc::escapeString($_POST["title"]) . "',
-                    '" . Date_API::getCurrentDateGMT() . "'
+                    '" . Date_Helper::getCurrentDateGMT() . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
